clang 8.0.0

Macros
AArch64.cpp File Reference
`#include "AArch64.h"`
`#include "clang/Basic/TargetBuiltins.h"`
`#include "clang/Basic/TargetInfo.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "clang/Basic/BuiltinsNEON.def"`
`#include "clang/Basic/BuiltinsAArch64.def"`
Include dependency graph for AArch64.cpp:

Go to the source code of this file.

## Macros
#define | BUILTIN(ID, TYPE, ATTRS) {#ID, TYPE, ATTRS, nullptr, ALL_LANGUAGES, nullptr},
#define | LANGBUILTIN(ID, TYPE, ATTRS, LANG) {#ID, TYPE, ATTRS, nullptr, LANG, nullptr},
#define | TARGET_HEADER_BUILTIN(ID, TYPE, ATTRS, HEADER, LANGS, FEATURE) {#ID, TYPE, ATTRS, HEADER, LANGS, FEATURE},

## Macro Definition Documentation

## ◆ BUILTIN [1/2]

#define BUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS
| ) |  | {#ID, TYPE, ATTRS, nullptr, ALL_LANGUAGES, nullptr},

## ◆ BUILTIN [2/2]

#define BUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS
| ) |  | {#ID, TYPE, ATTRS, nullptr, ALL_LANGUAGES, nullptr},

## ◆ LANGBUILTIN

#define LANGBUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS,
|  |  | LANG
| ) |  | {#ID, TYPE, ATTRS, nullptr, LANG, nullptr},

## ◆ TARGET_HEADER_BUILTIN

#define TARGET_HEADER_BUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS,
|  |  | HEADER,
|  |  | LANGS,
|  |  | FEATURE
| ) |  | {#ID, TYPE, ATTRS, HEADER, LANGS, FEATURE},